aboutsummaryrefslogtreecommitdiff
path: root/tests/tests2/Makefile
diff options
context:
space:
mode:
authorseyko <seyko2@gmail.com>2015-04-20 03:44:08 +0300
committerseyko <seyko2@gmail.com>2015-04-20 03:44:08 +0300
commit5ce2154c74d770b4e4c1fb0868f744418a90df80 (patch)
tree16ef3870ea2cd1b4ecb097fdf9c0efa9eafda3ee /tests/tests2/Makefile
parent9336fa7ae50ef60cb0049136a7831e7e8d94a20a (diff)
downloadtinycc-5ce2154c74d770b4e4c1fb0868f744418a90df80.tar.gz
tinycc-5ce2154c74d770b4e4c1fb0868f744418a90df80.tar.bz2
-fdollar-in-identifiers addon
* disable a -fdollar-in-identifiers option in assembler files * a test is added This is a patch addon from Daniel Holden.
Diffstat (limited to 'tests/tests2/Makefile')
-rw-r--r--tests/tests2/Makefile12
1 files changed, 8 insertions, 4 deletions
diff --git a/tests/tests2/Makefile b/tests/tests2/Makefile
index 35ab3c1..a5a18fb 100644
--- a/tests/tests2/Makefile
+++ b/tests/tests2/Makefile
@@ -94,8 +94,8 @@ TESTS = \
72_long_long_constant.test \
73_arm64.test \
74_nocode_wanted.test \
- 75_array_in_struct_init.test
-
+ 75_array_in_struct_init.test \
+ 76_dollars_in_identifiers.test
# 34_array_assignment.test -- array assignment is not in C standard
@@ -121,15 +121,19 @@ ARGS =
31_args.test : ARGS = arg1 arg2 arg3 arg4 arg5
46_grep.test : ARGS = '[^* ]*[:a:d: ]+\:\*-/: $$' 46_grep.c
+# Some tests might need different flags
+FLAGS =
+76_dollars_in_identifiers.test : FLAGS = -fdollars-in-identifiers
+
all test: $(filter-out $(SKIP),$(TESTS))
%.test: %.c
@echo Test: $*...
- @$(TCC) -run $< $(ARGS) 2>&1 | grep -v 'warning: soft float ABI currently not supported: default to softfp' >$*.output || true
+ @$(TCC) -run $(FLAGS) $< $(ARGS) 2>&1 | grep -v 'warning: soft float ABI currently not supported: default to softfp' >$*.output || true
@diff -Nbu $*.expect $*.output && rm -f $*.output
- @($(TCC) $< -o $*.exe && ./$*.exe $(ARGS)) 2>&1 | grep -v 'warning: soft float ABI currently not supported: default to softfp' >$*.output2 || true
+ @($(TCC) $(FLAGS) $< -o $*.exe && ./$*.exe $(ARGS)) 2>&1 | grep -v 'warning: soft float ABI currently not supported: default to softfp' >$*.output2 || true
@diff -Nbu $*.expect $*.output2 && rm -f $*.output2 $*.exe
clean: